package cn.axzo.msg.center.message.service.todo.manage;

import cn.axzo.msg.center.MsgCenterApplication;
import cn.axzo.msg.center.service.pending.request.TodoHandoverRequest;
import lombok.RequiredArgsConstructor;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.Commit;

/**
 * @author yanglin
 */
@SpringBootTest(classes = MsgCenterApplication.class)
@RequiredArgsConstructor(onConstructor_ = @Autowired)
class TodoManagerTest {

    private final TodoManager todoManager;

    @Test @Commit
    void foo() {
        TodoHandoverRequest request = new TodoHandoverRequest();
        request.setFromPersonId(16068L);
        request.setFromOuId(5140L);
        request.setFromPersonName("假杨林");
        request.setToPersonId(9000394L);
        request.setToOuId(5140L);
        todoManager.handover(request);
    }

}